ClientQueueDetail (Apache Geode 1.5.0)
Date: 2018-03-30

org.apache.geode.management

## Class ClientQueueDetail

- java.lang.Object
- - org.apache.geode.management.ClientQueueDetail

-     public class ClientQueueDetail
      extends java.lang.Object

  Since:
    GemFire 8.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientQueueDetail()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClientId()`
    `long` | `getEventsConflated()`
    `long` | `getEventsEnqued()`
    `long` | `getEventsExpired()`
    `long` | `getEventsRemoved()`
    `long` | `getEventsRemovedByQrm()`
    `long` | `getEventsTaken()`
    `long` | `getMarkerEventsConflated()`
    `long` | `getNumVoidRemovals()`
    `long` | `getQueueSize()`
    `void` | `setClientId(java.lang.String clientId)`
    `void` | `setEventsConflated(long eventsConflated)`
    `void` | `setEventsEnqued(long eventsEnqued)`
    `void` | `setEventsExpired(long eventsExpired)`
    `void` | `setEventsRemoved(long eventsRemoved)`
    `void` | `setEventsRemovedByQrm(long eventsRemovedByQrm)`
    `void` | `setEventsTaken(long eventsTaken)`
    `void` | `setMarkerEventsConflated(long markerEventsConflated)`
    `void` | `setNumVoidRemovals(long numVoidRemovals)`
    `void` | `setQueueSize(long queueSize)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientQueueDetail

          public ClientQueueDetail()

  - ### Method Detail

    - #### getClientId

          public java.lang.String getClientId()

    - #### setClientId

          public void setClientId(java.lang.String clientId)

    - #### getQueueSize

          public long getQueueSize()

    - #### setQueueSize

          public void setQueueSize(long queueSize)

    - #### getEventsEnqued

          public long getEventsEnqued()

    - #### setEventsEnqued

          public void setEventsEnqued(long eventsEnqued)

    - #### getEventsRemoved

          public long getEventsRemoved()

    - #### setEventsRemoved

          public void setEventsRemoved(long eventsRemoved)

    - #### getEventsConflated

          public long getEventsConflated()

    - #### setEventsConflated

          public void setEventsConflated(long eventsConflated)

    - #### getMarkerEventsConflated

          public long getMarkerEventsConflated()

    - #### setMarkerEventsConflated

          public void setMarkerEventsConflated(long markerEventsConflated)

    - #### getEventsExpired

          public long getEventsExpired()

    - #### setEventsExpired

          public void setEventsExpired(long eventsExpired)

    - #### getEventsRemovedByQrm

          public long getEventsRemovedByQrm()

    - #### setEventsRemovedByQrm

          public void setEventsRemovedByQrm(long eventsRemovedByQrm)

    - #### getEventsTaken

          public long getEventsTaken()

    - #### setEventsTaken

          public void setEventsTaken(long eventsTaken)

    - #### getNumVoidRemovals

          public long getNumVoidRemovals()

    - #### setNumVoidRemovals

          public void setNumVoidRemovals(long numVoidRemovals)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`